Skip to main content

Link AWD shipment to purchase order

POST 

/api/amazon/unified/awd/shipments/:id/link-purchase-order

Links the AWD shipment to an existing purchase order. Required: purchase_order_id (integer, must exist in purchase_orders.id).

Not yet available to API tokens

This endpoint currently requires session authentication; Personal Access Token scope support is in progress.

A shipment can only be linked to a purchase order bound for its own Amazon account's warehouse; a purchase order bound for another account's warehouse is refused with 422 naming the order, its warehouse and account.

Request​

Responses​

OK

Response Headers
    Content-Type